diff -up sos-2.2/sos/plugins/general.py.orig sos-2.2/sos/plugins/general.py
--- sos-2.2/sos/plugins/general.py.orig 2012-10-18 16:36:58.211271172 +0100
+++ sos-2.2/sos/plugins/general.py      2012-10-18 16:37:48.576151414 +0100
@@ -55,9 +55,11 @@ class general(sos.plugintools.PluginBase
                 self.addCopySpec("/etc/pki/product/*.pem")
                 self.addCopySpec("/etc/pki/consumer/cert.pem")
                 self.addCopySpec("/etc/pki/entitlement/*.pem")
-                self.addCopySpec("/etc/rhsm/")
                 self.addForbiddenPath("/etc/pki/entitlement/key.pem")
                 self.addForbiddenPath("/etc/pki/entitlement/*-key.pem")
+                self.addCopySpec("/etc/rhsm/")
+                self.collectExtOutput("subscription-manager list --installed")
+                self.collectExtOutput("subscription-manager list --consumed")
 
         if self.getOption('all_logs'):
             logs = self.doRegexFindAll("^\S+\s+(-?\/.*$)\s+", "/etc/syslog.conf")
